## NemoColumnProvider

NemoColumnProvider — An interface to provide additional Nemo list view columns.

## Functions

GList * | nemo_column_provider_get_columns ()

## Types and Values

| NemoColumnProvider
struct | NemoColumnProviderInterface

## Object Hierarchy

        GInterface
        ╰── NemoColumnProvider

## Prerequisites

NemoColumnProvider requires GObject.

## Description

This allows additional columns to be shown in the list view. This interface generally needs to be used in tandem with a NemoInfoProvider, to feed file info back to populate the column(s).

## Functions

### nemo_column_provider_get_columns ()

    GList *
    nemo_column_provider_get_columns (NemoColumnProvider *provider);

#### Parameters

provider | a NemoColumnProvider |

#### Returns

the provided NemoColumn objects.

[element-type NemoColumn][transfer full]

## Types and Values

### NemoColumnProvider

    typedef struct _NemoColumnProvider NemoColumnProvider;

### struct NemoColumnProviderInterface

    struct NemoColumnProviderInterface {
        GTypeInterface g_iface;

        GList *(*get_columns) (NemoColumnProvider *provider);
    };

#### Members

`get_columns` () | Fetch an array of `NemoColumn` |